Subject: Re: linux-next: Tree for Apr 29 (drivers/leds/leds-turris-omnia)

From: Pavel Machek <[email-masked]>
Date: Mon, 29 Apr 2019 20:12:45 +0200

On Mon 2019-04-29 19:51:40, Enrico Weigelt, metux IT consult wrote:
> On 29.04.19 18:53, Pavel Machek wrote:
> >>> Theoretically. But we both now that probability of that is very low,
> >>> and that likely driver would need other updates, too... right?
> >>
> >> What would be the benefit to add ARM dependency? So that distro
> >> compilations don't ship the turris_omnia driver unnecesarily?
> > 
> > That, and so that people are not asked "do you want to enable omnia
> > LEDs?" when they update their kernel on i386.
> 
> Is that controller only built-in into some SoCs, or also available
> as a separate chip ?

AFAIU.. separate chip, but runs firmware not likely to be available
outside Turris routers.

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html